The situation is like this:

| need two harddiskrecorders in adtf, one is only record only bus-message with continuous mode , which can be later for check sigals
playerback. one is for trigger queue mode with video , due to video is big size.

currently | run two ADTF sessions for achieve this kind of requirement but it fails.

Is it ADTF support this two sessions at one time? or is there other way in ADTF meet this kind of requirment?

Lésung

You can only trigger a recorder by using the recorder id and the common Ul only provides the possibilty to trigger one recorder id by
using keys to send the EC_StartRecording event.

So you have to possibilities:
1) configure the recorder to automatic start recording on startup (if possible)
2) write a filter or service to manual trigger one or all recorder

® Snippet to send recorder event -> https://support.digitalwerk.net/adtf/v2/adtf_sdk_html|_docs/page_recorder_event_table.html
e Example for key event -> https://support.digitalwerk.net/adtf/v2/adtf sdk_html_docs/page_demo_nongui_keyevent_filter.html

One of them should solve your issue

History

#1 - 2020-04-27 10:55 - hidden

- Status changed from New to In Progress
- Topic set to ADTF::Recorder

- Customer set to AUDI

#2 - 2020-04-30 08:40 - hidden

@Florian
It Should be possibble to have two recorders in one configuration, right?
Please correct me if I'm wrong

#3 - 2020-04-30 08:56 - hidden

It Should be possibble to have two recorders in one configuration, right?

Of course... ever tried ?
What's the matter ?
https://support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/page_recorder_event_table.html
https://support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/page_demo_nongui_keyevent_filter.html

#4 - 2020-05-06 09:06 - hidden
- Status changed from In Progress to Customer Feedback Required
Hello Wei Wang,
Florian Roth wrote:
It Should be possibble to have two recorders in one configuration, right?

Of course... ever tried ?

What's the matter ?
we did not get feedback from you.
What problems do you get if you use two recorders in one configuration at the same time?
Please give us feedback until 08.05.2020

#5 - 2020-05-06 12:30 - hidden
- File image002.jpg added

Hi digitalwerk support team,
Just for simple illustration , the following CE:

[cid:image002.jpg@01D623D1.B88DB500]

- The “Harddisk_rec_inc_video” , the “recording_mode" is "Queue Mode-Memory Based Queue’ and the ‘recoder_event_id = 0’;

- The “Harddisk_rec_ALL”, the ‘recording_mode" is “continuous Mode with Memory history ™ and the ‘recoder_event_id = 1’;
When | start trigger the event, using key “A” and only the queue Mode recorder is active, press “S” can not save the continues mode file.
What | what to implement is both mode can works the same.

GUL:

- | find in the “Option->setting->Common GUI-> GUI:Harddisk recorder event ID” can only set one option number one time

The question is how to achieve trigger the both Mode Recorder and save the DAT?

BR,
Wang Wei

#6 - 2020-05-07 14:47 - hidden

- Status changed from Customer Feedback Required to In Progress

#7 - 2020-05-07 16:21 - hidden

- Status changed from In Progress to Customer Feedback Required

You can only trigger a recorder by using the recorder id and the common Ul only provides the possibilty to trigger one recorder id by using keys to
send the EC_StartRecording event.

So you have to possibilities:
1) configure the recorder to automatic start recording on startup (if possible)
2) write a filter or service to manual trigger one or all recorder

® Snippet to send recorder event -> https://support.digitalwerk.net/adtf/v2/adtf_sdk_htm|_docs/page_recorder_event_table.html
e Example for key event -> https:/support.digitalwerk.net/adtf/v2/adtf sdk_html_docs/page_demo_nongui_keyevent filter.html

One of them should solve your issue

#8 - 2020-05-14 16:43 - hidden

- Project changed from 11 to Public Support

- Description updated

- Status changed from Customer Feedback Required to To Be Closed
- Private changed from Yes to No

- Resolution set to No Customer Feedback
#11 - 2020-07-07 12:49 - hidden
- Status changed from To Be Closed to Closed
